> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Update a Client Token

PATCH https://api.withpersona.com/api/v1/client-tokens/{client-token-id}
Content-Type: application/json

Updates an existing client token.

Reference: https://docs.withpersona.com/api-reference/client-tokens/update-a-client-token

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `client-token-id` (string, required) — The ID of the client token

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

### Body (application/json)

This endpoint expects an object.

- `data` (ClientTokensClientTokenIdPatchRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 200

This endpoint returns a Client Token.

- `data` (client-token, required) — A Client Token resource
- `included` (list of client-token-version, optional)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 409 Conflict Error

The request conflicts with another request, often due to attempting to create a duplicate resource.

- `errors` (list of ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 422 Unprocessable Entity Error

The request modifies the resource in an unacceptable way, often due to an invalid action or parameter.

- `errors` (list of ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ClientTokensClientTokenIdPatchRequestBodyContentApplicationJsonSchemaData

- `attributes` (ClientTokensClientTokenIdPatchRequestBodyContentApplicationJsonSchemaDataAttributes, required)

### client-token

A Client Token resource

- `type` ("client-token", optional)
- `id` (string, optional)
- `attributes` (ClientTokenAttributes, optional)
- `relationships` (ClientTokenRelationships, optional)

### client-token-version

A Client Token Version resource

- `type` ("client-token-version", optional)
- `id` (string, optional)
- `attributes` (ClientTokenVersionAttributes, optional)
- `relationships` (ClientTokenVersionRelationships, optional)

### ClientTokensClientTokenIdPatchResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### ClientTokensClientTokenIdPatchRequestBodyContentApplicationJsonSchemaDataAttributes

- `name` (string, optional) — Human-readable name of the client token
- `api-version` (string, optional) — Server API version
- `api-key-inflection` (string, optional) — Default API response key inflection
- `permissions` (list of string, optional) — Abilities permitted to the client token
- `domain-allowlist` (list of string, optional) — List of allowed domains for this token
- `allowed-resources` (list of string, optional) — List of resources that this client token is authorized to manipulate. Pass an empty array to remove all allowed resources.
- `version-expires-in-seconds` (integer, optional, nullable) — How long newly minted client token versions live before expiring, in seconds (max 10 years). Pass null to unset.

### ClientTokenAttributes

- `name` (string, optional) — The name of the client token
- `api-version` (date, optional) — The API version used by this client token
- `api-key-inflection` (string, optional) — The key inflection used by this client token
- `permissions` (list of string, optional) — List of permissions granted to this client token
- `domain-allowlist` (list of string, optional) — List of domains allowed to use this client token
- `allowed-resources` (list of string, optional) — List of resources that this client token is authorized to manipulate
- `version-expires-in-seconds` (integer, optional, nullable) — How long newly minted client token versions live before expiring, in seconds (max 10 years). Null means new versions do not expire by default.
- `disabled-at` (datetime, optional, nullable) — When this client token was disabled
- `disabled` (boolean, optional) — Whether this client token is disabled
- `created-at` (datetime, optional) — When this client token was created

### ClientTokenRelationships

- `versions` (ClientTokenRelationshipsVersions, optional)

### ClientTokenVersionAttributes

- `value` (string, optional) — The Client Token Version value, returned for a retrieved or newly created version. This should be treated with the utmost security.
- `created-at` (datetime, optional) — When this client token version was created
- `expires-at` (datetime, optional, nullable) — When this client token version expires
- `status` (string, optional) — The lifecycle status of this client token version: `active` or `disabled`.

### ClientTokenVersionRelationships

- `client-token` (ClientTokenVersionRelationshipsClientToken, optional)

### ClientTokenRelationshipsVersions

- `data` (list of ClientTokenRelationshipsVersionsDataItems, optional)

### ClientTokenVersionRelationshipsClientToken

- `data` (ClientTokenVersionRelationshipsClientTokenData, optional)

### ClientTokenRelationshipsVersionsDataItems

- `type` ("client-token-version", optional)
- `id` (string, optional)

### ClientTokenVersionRelationshipsClientTokenData

- `type` ("client-token", optional)
- `id` (string, optional)

## Examples

**Request**

```json
{
  "data": {
    "attributes": {}
  }
}
```

**Response**

```json
{
  "data": {
    "type": "client-token",
    "id": "ctk_ABC123",
    "attributes": {
      "name": "Default Client Token",
      "api-version": "2023-01-05",
      "api-key-inflection": "kebab",
      "permissions": [
        "sentinel.collect",
        "txn.write"
      ],
      "domain-allowlist": [
        "*.example.com",
        "api.example.com"
      ],
      "allowed-resources": [
        "txntp_ABC123",
        "txntp_DEF456"
      ],
      "version-expires-in-seconds": null,
      "disabled-at": null,
      "disabled": false,
      "created-at": "2023-08-17T23:18:13.000Z"
    },
    "relationships": {
      "versions": {
        "data": [
          {
            "type": "client-token-version",
            "id": "ctkv_DEF456"
          },
          {
            "type": "client-token-version",
            "id": "ctkv_ABC123"
          }
        ]
      }
    }
  },
  "included": [
    {
      "type": "client-token-version",
      "id": "ctkv_DEF456",
      "attributes": {
        "created-at": "2023-08-18T23:18:13.000Z",
        "expires-at": null,
        "status": "active"
      },
      "relationships": {
        "client-token": {
          "data": {
            "type": "client-token",
            "id": "ctk_ABC123"
          }
        }
      }
    },
    {
      "type": "client-token-version",
      "id": "ctkv_ABC123",
      "attributes": {
        "created-at": "2023-08-17T23:18:13.000Z",
        "expires-at": "2023-09-17T23:18:13.000Z",
        "status": "active"
      },
      "relationships": {
        "client-token": {
          "data": {
            "type": "client-token",
            "id": "ctk_ABC123"
          }
        }
      }
    }
  ]
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/client-tokens/client-token-id"

payload = { "data": { "attributes": {} } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/client-tokens/client-token-id';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"attributes":{}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/client-tokens/client-token-id"

	payload := strings.NewReader("{\n  \"data\": {\n    \"attributes\": {}\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/client-tokens/client-token-id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"attributes\": {}\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.withpersona.com/api/v1/client-tokens/client-token-id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"attributes\": {}\n  }\n}")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.withpersona.com/api/v1/client-tokens/client-token-id', [
  'body' => '{
  "data": {
    "attributes": {}
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/client-tokens/client-token-id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"attributes\": {}\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["attributes": []]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/client-tokens/client-token-id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```